mscorlib 2.0.0.0 4.0.0.0 System.ValueType

For additional information about FUNCDESC, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Defines a function description.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.CALLCONV

  For additional information about FUNCDESC, see the MSDN Library.

  Specifies the calling convention of a function.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about FUNCDESC, see the MSDN Library.

  Counts the total number of parameters.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about FUNCDESC, see the MSDN Library.

  Counts the optional parameters.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about FUNCDESC, see the MSDN Library.

  Counts the permitted return values.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.ELEMDESC

  For additional information about FUNCDESC, see the MSDN Library.

  Contains the return type of the function.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCKIND

  For additional information about FUNCDESC, see the MSDN Library.

  Specifies whether the function is virtual, static, or dispatch-only.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.INVOKEKIND

  For additional information about FUNCDESC, see the MSDN Library.

  Specifies the type of a property function.

- Field
  2.0.0.0
  4.0.0.0
  System.IntPtr

  For additional information about FUNCDESC, see the MSDN Library.

  Indicates the size of .

- Field
  2.0.0.0
  4.0.0.0
  System.IntPtr

  For additional information about FUNCDESC, see the MSDN Library.

  Stores the count of errors a function can return on a 16-bit system.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about FUNCDESC, see the MSDN Library.

  Identifies the function member ID.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about FUNCDESC, see the MSDN Library.

  Specifies the offset in the VTBL for .

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about FUNCDESC, see the MSDN Library.

  Indicates the of a function.